EventUtil::getSocketFd
EventUtil::setSocketOption
EventUtil
PHP Manual

# EventUtil::getSocketName

(PECL event >= 1.5.0)

EventUtil::getSocketName — Retreives the current address to which the socket is bound.

### Description

public static bool EventUtil::getSocketName ( mixed `$socket` , string `&$address` [, mixed `&$port` ] )

Retreives the current address to which the `socket` is bound.

### Parameters

`socket`

  Socket resource, stream or a file descriptor of a socket.

`address`

  Output parameter. IP-address, or the UNIX domain socket path depending on the socket address family.

`port`

  Output parameter. The port the socket is bound to. Has no meaning for UNIX domain sockets.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

EventUtil::getSocketFd
EventUtil::setSocketOption
EventUtil
PHP Manual